Package org.eclipse.lemminx.commons.config

## Class ConfigurationItemEdit

- java.lang.Object
- - org.eclipse.lsp4j.ConfigurationItem
  - - org.eclipse.lemminx.commons.config.ConfigurationItemEdit

    public class ConfigurationItemEdit
    extends org.eclipse.lsp4j.ConfigurationItem

Class representing a change to a client's config.

### Constructor Summary

Constructors
`ConfigurationItemEdit()`
`ConfigurationItemEdit​(String section, Object value, ConfigurationItemEditType editType, ConfigurationItemValueKind valueKind)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`int` `hashCode()`

### Methods inherited from class org.eclipse.lsp4j.ConfigurationItem

`getScopeUri, getSection, setScopeUri, setSection, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationItemEdit

    public ConfigurationItemEdit()

#### ConfigurationItemEdit

    public ConfigurationItemEdit​(String section,
                                 Object value,
                                 ConfigurationItemEditType editType,
                                 ConfigurationItemValueKind valueKind)

Parameters:
  `section` - config section to change
  `value` - the value for the change
  `editType` - the type of edit operation being made
  `valueKind` - the kind of value for the configuration item

### Method Detail

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `org.eclipse.lsp4j.ConfigurationItem`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `org.eclipse.lsp4j.ConfigurationItem`